GWT 2.7.0

## com.google.gwt.uibinder.elementparsers
Class SimpleInterpeter<T>

    java.lang.Object
      com.google.gwt.uibinder.elementparsers.SimpleInterpeter<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  com.google.gwt.uibinder.rebind.XMLElement.Interpreter<T>

    public class SimpleInterpeter<T>

extends java.lang.Object
implements com.google.gwt.uibinder.rebind.XMLElement.Interpreter<T>

A simple `XMLElement.Interpreter` that returns a given value to every request.

Constructor Summary
`SimpleInterpeter(T rtn)`

Method Summary
`T` | `interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleInterpeter

    public SimpleInterpeter(T rtn)

Method Detail

### interpretElement

    public T interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)

  Specified by:
    `interpretElement` in interface `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<T>`

GWT 2.7.0